My Spaces

Last update: September 10, 2026
•
1 min to read

Retrieve a list of available spaces in the Dataspace UI.

HTTP Method

POST

Endpoint

/api/data/records/myspaces

Request URL

{Base URL}/api/data/records/myspaces

Sample Request Body

{
  "QueryInfo": {
    "Meta": {
      "QueryType": "AllEntities"
    },
    "Nodes": [
      {
        "Id": "Node0",
        "Queries": [
          { "Name": "Complaint" },
          { "Name": "ComplaintSourceName" },
          { "Name": "Import" },
          { "Name": "Attachment" },
          { "Name": "MediaSeries" },
          { "Name": "Address" },
          { "Name": "Action" },
          { "Name": "ATestImage" },
          { "Name": "Investigation" },
          { "Name": "Company" },
          { "Name": "Document" },
          { "Name": "CustomsRecordal" },
          { "Name": "CustomsTraining" },
          { "Name": "Domain" },
          { "Name": "EmailAddress" },
          { "Name": "IP" },
          { "Name": "IPAddress" },
          { "Name": "Lead" },
          { "Name": "MarketplaceListing" },
          { "Name": "OnlineSeller" },
          { "Name": "Person" },
          { "Name": "PhoneNumber" },
          { "Name": "Product" },
          { "Name": "SellerAccount" },
          { "Name": "TakedownEntity" },
          { "Name": "URL" }
        ]
      }
    ]
  },
  "VizInfo": {
    "IntelVizLayoutName": "SpacesLayout"
  }
}

Parameters

Param NameData TypeDescription
QueryTypeStringUse AllEntities to retrieve spaces across multiple entities.
NameStringEntity name (for example, Investigation, Custom Recordal).
IntelVizLayoutNameStringLayout type. (SpacesLayout.)

Missing or invalid credentials returns a 401 Unauthorized error.

Curl Example

Multi-line format (for readability)

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X POST \
     "https://hubstreamproduction.hubstreamonline.com/api/data/records/myspaces" \
     -H "Content-Type: application/json" \
     -d '{
       "QueryInfo": {
         "Meta": {
           "QueryType": "AllEntities"
         },
         "Nodes": [
           {
             "Id": "Node0",
             "Queries": [
               { "Name": "Complaint" },
               { "Name": "ComplaintSourceName" },
               { "Name": "Import" },
               { "Name": "Attachment" },
               { "Name": "MediaSeries" },
               { "Name": "Address" },
               { "Name": "Action" },
               { "Name": "ATestImage" },
               { "Name": "Investigation" },
               { "Name": "Company" },
               { "Name": "Document" },
               { "Name": "CustomsRecordal" },
               { "Name": "CustomsTraining" },
               { "Name": "Domain" },
               { "Name": "EmailAddress" },
               { "Name": "IP" },
               { "Name": "IPAddress" },
               { "Name": "Lead" },
               { "Name": "MarketplaceListing" },
               { "Name": "OnlineSeller" },
               { "Name": "Person" },
               { "Name": "PhoneNumber" },
               { "Name": "Product" },
               { "Name": "SellerAccount" },
               { "Name": "TakedownEntity" },
               { "Name": "URL" }
             ]
           }
         ]
       },
       "VizInfo": {
         "IntelVizLayoutName": "SpacesLayout"
       }
     }'

Single-line format (for terminal use)

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/records/myspaces" -H "Content-Type: application/json" -d "{\"QueryInfo\":{\"Meta\":{\"QueryType\":\"AllEntities\"},\"Nodes\":[{\"Id\":\"Node0\",\"Queries\":[{\"Name\":\"Complaint\"},{\"Name\":\"ComplaintSourceName\"},{\"Name\":\"Import\"},{\"Name\":\"Attachment\"},{\"Name\":\"MediaSeries\"},{\"Name\":\"Address\"},{\"Name\":\"Action\"},{\"Name\":\"ATestImage\"},{\"Name\":\"Investigation\"},{\"Name\":\"Company\"},{\"Name\":\"Document\"},{\"Name\":\"CustomsRecordal\"},{\"Name\":\"CustomsTraining\"},{\"Name\":\"Domain\"},{\"Name\":\"EmailAddress\"},{\"Name\":\"IP\"},{\"Name\":\"IPAddress\"},{\"Name\":\"Lead\"},{\"Name\":\"MarketplaceListing\"},{\"Name\":\"OnlineSeller\"},{\"Name\":\"Person\"},{\"Name\":\"PhoneNumber\"},{\"Name\":\"Product\"},{\"Name\":\"SellerAccount\"},{\"Name\":\"TakedownEntity\"},{\"Name\":\"URL\"}]}]},\"VizInfo\":{\"IntelVizLayoutName\":\"SpacesLayout\"}}"

Sample Responses

Status code 2XX indicates a successful request and response.

200 OK

Description: Operation succeeded

Response Body

[
  {
    "Name": "MyActivity",
    "Caption": "My Activity",
    "Description": "Helps to visualize My Activity Space",
    "Icon": "hub-icon-user-check",
    "Type": "Dynamic",
    "UserFullName": "Setup",
    "IntelVizLayoutName": "OneChartOneTableLayout",
    "IsPinned": true,
    "UserID": "1",
    "ReportName": ""
  },
  {
    "Name": "ActiveCases",
    "Caption": "ActiveCases",
    "Description": "Helps to visualize Active Cases",
    "Icon": "hub-icon-user-check",
    "Type": "Dynamic",
    "UserFullName": "HubstreamUser",
    "IntelVizLayoutName": "OneChartOneTableLayout",
    "IsPinned": true,
    "UserID": "1",
    "ReportName": ""
  }
]

Note: The response varies for different users based on permissions. Only spaces created by the user or shared with the user are returned.